import {defineConfig} from 'vite'
import vue from '@vitejs/plugin-vue'
import AutoImport from 'unplugin-auto-import/vite'
import Components from 'unplugin-vue-components/vite'
import {ElementPlusResolver} from 'unplugin-vue-components/resolvers'

// https://vite.dev/config/
export default defineConfig({
  plugins: [
      vue(),
      AutoImport({
        resolvers: [ElementPlusResolver()],
      }),
      Components({
          resolvers: [ElementPlusResolver()],
      })
  ],
    build: {
      rollupOptions: {
          output: {
              manualChunks(id ) {
                  if (id.includes('element-plus')) {
                      return 'render-ui'
                  }
                  if (id.includes('lodash-es')) {
                      return 'render-lodash'
                  }
                  if (id.includes('logicflow')) {
                      return 'render-logicflow'
                  }
                  if (id.includes('node_modules')) {
                      return 'render-function'
                  }
              }
          }
      }
    }
})
